net.sf.jlinkgrammar

## Class ParseSet

- java.lang.Object
- - net.sf.jlinkgrammar.ParseSet

-     public class ParseSet
      extends java.lang.Object

  The first thing we do is we build a data structure to represent the result of the entire parse search. There will be a set of nodes built for each call to the count() function that returned a non-zero value, AND which is part of a valid linkage. Each of these nodes represents a valid continuation, and contains pointers to two other sets (one for the left continuation and one for the righ continuation).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `count` the number of ways to parse a sentence
    `(package private) ParseChoice` | `current` used to enumerate linkages
    `(package private) static ParseSet` | `dummy_set`
    `(package private) ParseChoice` | `first`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParseSet(int count, ParseChoice first)` constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ParseSet` | `empty_set()` returns an empty set of parses
    `void` | `put_choice_in_set(ParseChoice pc)` Put this parse_choice into a given set.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### count

          public int count

      the number of ways to parse a sentence

    - #### first

          ParseChoice first

    - #### current

          ParseChoice current

      used to enumerate linkages

    - #### dummy_set

          static ParseSet dummy_set

  - ### Constructor Detail

    - #### ParseSet

          public ParseSet(int count,
                  ParseChoice first)

      constructor
      Parameters:
        `count` - index counter
        `first` - head of the parse choice list

  - ### Method Detail

    - #### put_choice_in_set

          public void put_choice_in_set(ParseChoice pc)

      Put this parse_choice into a given set. The current pointer is always left pointing to the end of the list.
      Parameters:
        `pc` - add a ParseCoice() to a set

    - #### empty_set

          public static ParseSet empty_set()

      returns an empty set of parses
      Returns:
        Returns an empty set